#ifndef winmgr_h
#define winmgr_h

#include "wx_frame.h"
#include "wx_list.h"
#include "wx_stdev.h"
#include "curswin.h"
#include "common.h"

#define WM_ACTIVATE 1
#define WM_FOCUSNEXT 2
#define WM_FOCUSPREV 3
#define WM_HELP 4

class CurWinMgr
{
private:
  wxList *Grabs;

  wxFrame* FindWindow(int id);
  void HandleFocus(void);
  void HandleResize(void);
  void HandleMove(void);
  void HandleRefresh(void);
  void HandleClose(void);
  void HandleQuit(void);
  void HandleHide(void);
  void HandleUnHide(void);
  void HandleWMEvent(void);

public:
  CurWinMgr(void);
  ~CurWinMgr(void);

  Bool ProcessEvent(wxEvent *ev);
  void GrabFocus(wxWindow *win);
  void ReleaseFocus(void);
};

extern CurWinMgr *TheWinMgr;

#endif
