/*
 * File:     wx_choic.h
 * Purpose:  Choice panel item
 *
 *                       wxWindows 1.40
 * Copyright (c) 1993 Artificial Intelligence Applications Institute,
 *                   The University of Edinburgh
 *
 *                     Author: Julian Smart
 *                       Date: 18-4-93
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice, author statement and this permission
 * notice appear in all copies of this software and related documentation.
 *
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS,
 * IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
 * MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT SHALL THE ARTIFICIAL INTELLIGENCE APPLICATIONS INSTITUTE OR THE
 * UNIVERSITY OF EDINBURGH BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF
 * DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH
 * THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef wx_choich
#define wx_choich

#include "wb_choic.h"
#include "wx_lbox.h"

// Choice item
class wxChoice: public wxbChoice
{
protected:
  CursWnd *static_label;
  wxListBox *choice_lbox;

public:
  wxChoice(wxPanel *panel, wxFunction func, char *Title,
	   int x = -1, int y = -1, int width = -1, int height = -1,
	   int N = 0, char **Choices = NULL, Bool create = TRUE);
  Bool Create(wxPanel *panel, wxFunction func, char *Title,
	   int x = -1, int y = -1, int width = -1, int height = -1,
	   int N = 0, char **Choices = NULL);
  ~wxChoice(void);
  void Append(char *Item);
  void Clear(void);
  int GetSelection(void);
  void SetSelection(int n);
  int FindString(char *s);
  char *GetString(int n);

  void OnPaint(void);
  void OnSetFocus(void);
  void OnKillFocus(void);
  void GetPosition(int *x, int *y);
  void GetSize(int *width, int *height);
  void SetSize(int x, int y, int width, int height);
  void Show(Bool flag);
  Bool ProcessEvent(wxEvent *ev);
  Bool PostProcessEvent(wxEvent *ev, Bool handled);
};

class wxEditChoice : public wxChoice
{
public:
  wxEditChoice(wxPanel *panel, wxFunction func, char *Title,
	   int x = -1, int y = -1, int width = -1, int height = -1,
	   int N = 0, char **Choices = NULL, Bool create = TRUE);
   Bool PostProcessEvent(wxEvent *ev, Bool handled);
};
#endif // wx_choich
