/*
 * File:     wx_frame.h
 * Purpose:  wxFrame declaration
 *
 *                       wxWindows 1.40
 * Copyright (c) 1993 Artificial Intelligence Applications Institute,
 *                   The University of Edinburgh
 *
 *                     Author: Julian Smart
 *                       Date: 18-4-93
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice, author statement and this permission
 * notice appear in all copies of this software and related documentation.
 *
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS,
 * IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
 * MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT SHALL THE ARTIFICIAL INTELLIGENCE APPLICATIONS INSTITUTE OR THE
 * UNIVERSITY OF EDINBURGH BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF
 * DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH
 * THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef wx_frameh
#define wx_frameh

#include "wb_frame.h"

class wxFrame: public wxbFrame
{
 public:
  Bool wx_iconized;
  char *status_text;
  char *win_title;
  int win_id;
  CursWnd *caption;

  // Internal member functions
  virtual wxRect GetClientRect(void);
  wxRect MinimalWinSize(void);
  void SetCaption(void);
  void OnPaint(void);
  Bool ProcessEvent(wxEvent *event);

  // wxWin member functions
  wxFrame(wxFrame *parent, char *title,
		  int x=-1, int y=-1, int width=-1, int height=-1,
		  int type = wxSDI);
  Bool Create(wxFrame *parent, char *title,
		  int x=-1, int y=-1, int width=-1, int height=-1,
		  int type = wxSDI);

  ~wxFrame(void);

  void SetSize(int x, int y, int width, int height);
  void SetClientSize(int width, int height);

  // Set menu bar
  void SetMenuBar(wxMenuBar *menu_bar);

  // Set title
  void SetTitle(char *title);
  char *GetTitle(void);

  // Set icon
  void SetIcon(wxIcon *icon);

  // Create status line
  void CreateStatusLine(void);

  // Set status line text
  void SetStatusText(char *text);

  // Fit frame around subwindows
  void Fit(void);

  void OnSetFocus(void);
  void OnKillFocus(void);

  // Iconize
  virtual void Iconize(Bool iconize);
  virtual Bool Iconized(void);
  virtual void Maximize(Bool maximize);
  virtual void LoadAccelerators(char *table);
};
#endif // wx_frameh
