/*
 * File:     wx_mnuit.h
 * Purpose:  Declares menu item class (Windows)
 *
 *                       wxWindows 1.40
 * Copyright (c) 1993 Artificial Intelligence Applications Institute,
 *                   The University of Edinburgh
 *
 *                     Author: Julian Smart
 *                       Date: 18-4-93
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice, author statement and this permission
 * notice appear in all copies of this software and related documentation.
 *
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS,
 * IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
 * MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT SHALL THE ARTIFICIAL INTELLIGENCE APPLICATIONS INSTITUTE OR THE
 * UNIVERSITY OF EDINBURGH BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF
 * DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH
 * THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef wx_mnuith
#define wx_mnuith

#include "common.h"
#include "wb_mnuit.h"

#define MNU_ENABLE	1
#define MNU_CHECKED	2

class wxMenuButton;

class wxMenuItem: public wbMenuItem
{
public:
  int menuFlags;
  wxMenuButton *menu_button;
  wxMenu *parent_menu;

  wxMenuItem(int id, char *label, char *helpstring, wxMenu *submenu) ;
  Bool Create(wxPanel *parent, int x, int y, int width, int height, int labelPos);
  ~wxMenuItem(void) ;
  void Enable(Bool flag);
  void Check(Bool flag);
  int MaxSize(void);
};

#endif // wx_mnuith

