/*
 * File:     wx_mtxt.h
 * Purpose:  Multi-line text panel item
 *
 *                       wxWindows 1.40
 * Copyright (c) 1993 Artificial Intelligence Applications Institute,
 *                   The University of Edinburgh
 *
 *                     Author: Julian Smart
 *                       Date: 18-4-93
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice, author statement and this permission
 * notice appear in all copies of this software and related documentation.
 *
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS,
 * IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
 * MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT SHALL THE ARTIFICIAL INTELLIGENCE APPLICATIONS INSTITUTE OR THE
 * UNIVERSITY OF EDINBURGH BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF
 * DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH
 * THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef wx_mtxth
#define wx_mtxth

#include "wb_mtxt.h"

// Multi-line text item
class wxMultiText: public wxbMultiText
{
 public:
  int cur_y;
  int view_y;
  wxList *lines;
  Bool changed;
  Bool editable;

  wxMultiText(wxPanel *panel, wxFunction func, char *label, char *value = "",
		 int x = -1, int y = -1, int width = -1, int height = -1, Bool create = TRUE);
  Bool Create(wxPanel *panel, wxFunction func, char *label, char *value = "",
		 int x = -1, int y = -1, int width = -1, int height = -1);
  ~wxMultiText();

  virtual int NoLines(void);
  virtual char *GetValue(void);
  virtual void GetValue(char *buffer, int maxLen);
  virtual void SetValue(char *value);
  virtual void Editable(Bool yn);
  virtual Bool Editable(void);
  virtual void DeleteLine(int lineno);
  virtual void Append(char *value);
  virtual void GetSize(int *w, int *h);
  virtual void GetPosition(int *x, int *y);

  virtual void HandleScrollLeft(int how);
  virtual void HandleScrollRight(int how);
  virtual void HandleScrollUp(int how);
  virtual void HandleScrollDown(int how);
  virtual void HandleDelete(int how);
  virtual void HandleChar(int c);
  virtual void OnPaint(void);
  virtual Bool ProcessEvent(wxEvent *ev);
  virtual int FindMaxStrSize(void);
};

#endif // wx_mtxth
