#ifndef wx_proch
#define wx_proch

#include "common.h"
#include "wx_obj.h"
#include "wx_list.h"
#include "wx_user.h"

#include <sys/time.h>
#include <sys/resource.h>
#include <fstream.h>
#include <stdarg.h>

#define wxPNOTSTARTED 1
#define wxPRUNNING    2
#define wxPSUSPENDED  3
#define wxPSTOPPED    4

#ifdef MSDOS
class wxProcess : public wxObject
{
public:
  wxProcess(char *appname, char *args[] = NULL, char *env[] = NULL, Bool needtty = TRUE) {}
  ~wxProcess(void) {}
  char *ProcessName(void) { return "none"; }
  Bool Execute(void) { return FALSE; }
  Bool ExecuteAndWait(void) { return FALSE; }
  void Suspend(void) {}
  void Continue(void) {}
  void Stop(void) {}
  void SetTerminalSize(int width, int height) {}
  int UpdateStatus(void) { return wxPNOTSTARTED; }
  int ExitStatus(void) { return -1; }
  char *StatusMsg(void) { return "not started"; }
  int Status(void) { return wxPNOTSTARTED; }
  void GetInfo(timeval *utime, timeval *stime, int *memusage) {}
  Bool InputPending(void) { return FALSE; }
  int Write(char *s, int len) { return -1; }
  int Write(char *s) { return -1; }
  int Writef(char *fmt, ...) { return -1; }
  int Write(char c) { return -1; }
  int Read(char *s, int len) { return -1; }
  int Read(char *c) { return -1; }
};

#else
class wxProcess : public wxObject
{
public:
  int pid;		    // process id
  char **pargs;		    // application arguments
  char **penv;		    // application environment
  int status;		    // wxProcess status
  char *statusmsg;	    // User readable status message
  int exit_status;	    // appl return code
  int pstatus;		    // wait4 return value
  struct rusage	pinfo;	    // wait4 return value
  int pfd;		    // master/parent file desc
  int cfd;		    // slave/child file desc
  char *pttyname;	    // the terminal ttyname
  Bool pneedtty;	    // Create a pseude terminal or not
  
  Bool CreatePseudoTerminal(void);

  wxProcess(char *appname, char *args[] = NULL, char *env[] = NULL, Bool needtty = TRUE);
  ~wxProcess(void);
  char *ProcessName(void);
  Bool Execute(void);
  Bool ExecuteAndWait(void);
  void Suspend(void);
  void Continue(void);
  void Stop(void);
  void SetTerminalSize(int width, int height);
  int UpdateStatus(void);
  int ExitStatus(void);
  char *StatusMsg(void);
  int Status(void);
  void GetInfo(timeval *utime, timeval *stime, int *memusage);
  Bool InputPending(void);
  int Write(char *s, int len);
  int Write(char *s);		/* a string */
  int Writef(char *fmt, ...);   /* a printf string */
  int Write(char c);
  int Read(char *s, int len);
  int Read(char *c);
};
#endif // MSDOS

extern wxList ProcessList;

#endif
