#ifndef wx_rect_h
#define wx_rect_h

#include "wx_obj.h"

#include <common.h>
#include <iostream.h>

class wxRect
{
public:
  int X, Y, W, H;

  wxRect(int x, int y, int w, int h);
  wxRect(const wxRect& rect);
  wxRect(void);
  Bool Inside(int x, int y);
  Bool Inside(wxRect& rect);
  Bool Overlaps(wxRect& rect);
  wxRect operator - (wxRect& rect);
friend wxRect Union(wxRect& r1, wxRect& r2);
friend wxRect Intersect(wxRect& r1, wxRect& r2);
friend ostream& operator << (ostream& os, wxRect& r);
friend int operator == (wxRect& r1, wxRect& r2);
friend int operator != (wxRect& r1, wxRect& r2);
};

wxRect Union(wxRect& r1, wxRect& r2);
wxRect Intersect(wxRect& r1, wxRect& r2);
ostream& operator << (ostream& os, wxRect& r);
int operator == (wxRect& r1, wxRect& r2);
inline int operator != (wxRect& r1, wxRect& r2) {return !(r1==r2);};
#endif
