/*
 * File:     wx_slidr.h
 * Purpose:  Slider
 *
 *                       wxWindows 1.40
 * Copyright (c) 1993 Artificial Intelligence Applications Institute,
 *                   The University of Edinburgh
 *
 *                     Author: Julian Smart
 *                       Date: 18-4-93
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice, author statement and this permission
 * notice appear in all copies of this software and related documentation.
 *
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS,
 * IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
 * MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT SHALL THE ARTIFICIAL INTELLIGENCE APPLICATIONS INSTITUTE OR THE
 * UNIVERSITY OF EDINBURGH BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF
 * DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH
 * THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef wx_slidrh
#define wx_slidrh

#include "wb_slidr.h"

// Slider
class wxSlider: public wxbSlider
{
 public:
  CursWnd *static_handle, *value_handle;
  int item_value;

  int s_min;
  int s_max;
  int page_size;

  wxSlider(wxPanel *panel, wxFunction func, char *label, int value,
	   int min_value, int max_value, int width = -1, int x = -1, int y = -1, Bool create = TRUE);
  Bool Create(wxPanel *panel, wxFunction func, char *label, int value,
	   int min_value, int max_value, int width = -1, int x = -1, int y = -1);
  ~wxSlider(void);
  int GetValue(void);
  void SetValue(int);
  void GetPosition(int *x, int *y);
  void GetSize(int *w, int *h);

  void OnSetFocus(void);
  void OnKillFocus(void);
  void OnPaint(void);
  Bool ProcessEvent(wxEvent *event);
};

#endif // wx_slidrh
