#ifndef wx_termwh
#define wx_termwh

#include "wx_frame.h"
#include "common.h"
#include "wx_termb.h"
#include "wx_temu.h"

class wxTermWindow : public wxWindow
{
public:
  wxTermBuf *inbuf;
  wxTermBuf *outbuf;
  wxTermEmu *termemu;
  char *logfile;
  int log_fd;

  wxTermWindow(wxFrame *parent, wxTermEmu *emu, int x=-1,
     int y=-1, int width=-1, int height=-1, int style = 0, Bool create=TRUE);
  Bool Create(wxFrame *frame, wxTermEmu *emu, int x, int y,
   int width, int height, int style);
  ~wxTermWindow(void);
  virtual Bool Logging(void);
  virtual void LogToFile(char *file);
  virtual void SetEmulation(wxTermEmu *emu);
  virtual void Log(char *buf, int len);
  virtual void Put(char *buf, int len);
  virtual int Get(char *buf, int len);
  virtual void Reset(void);
  void OnSize(int w, int h);
  Bool ProcessEvent(wxEvent *ev);
};

#endif
