/*
 * File:     wx_text.h
 * Purpose:  wxTextWindow - simple text subwindow class
 *
 *                       wxWindows 1.40
 * Copyright (c) 1993 Artificial Intelligence Applications Institute,
 *                   The University of Edinburgh
 *
 *                     Author: Julian Smart
 *                       Date: 18-4-93
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice, author statement and this permission
 * notice appear in all copies of this software and related documentation.
 *
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS,
 * IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
 * MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT SHALL THE ARTIFICIAL INTELLIGENCE APPLICATIONS INSTITUTE OR THE
 * UNIVERSITY OF EDINBURGH BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF
 * DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH
 * THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef wx_texth
#define wx_texth
#include "common.h"
#include "wb_text.h"

#include "wx_panel.h"
#include "wx_mtxt.h"

/*
 * I would make this also derived from ostream:
 *
 * class wxTextWindow: public wxWindow, public virtual ostream
 *
 * but weirdly, the operator << isn't declared virtual in (isn't even
 * a member of) ostream, so we can't use a wxTextWindow in place of an ostream.
 *
 */

class wxTextWindow: public wxbTextWindow
{
protected:
  wxPanel *text_panel;
  wxMultiText *mtext_item;

public:
  wxTextWindow(wxFrame *frame, int x=-1, int y=-1, int width=-1, int height=-1,
	       int style=0, Bool create = TRUE);
  Bool Create(wxFrame *frame, int x=-1, int y=-1, int width=-1, int height=-1,
	       int style=0);
  ~wxTextWindow(void);

  void SetSize(int x, int y, int width, int height);
  void GetSize(int *width, int *height);
  void GetPosition(int *x, int *y);
  void OnSetFocus(void);
  void OnKillFocus(void);

  Bool LoadFile(char *file);
  Bool SaveFile(char *file);
  void WriteText(char *text);
  void Clear(void);
  void DiscardEdits(void);
  Bool Modified(void);
  char *GetContents(void);
};

#endif // wx_texth
