/*
 * File:     wx_txt.h
 * Purpose:  Text panel item
 *
 *                       wxWindows 1.40
 * Copyright (c) 1993 Artificial Intelligence Applications Institute,
 *                   The University of Edinburgh
 *
 *                     Author: Julian Smart
 *                       Date: 18-4-93
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice, author statement and this permission
 * notice appear in all copies of this software and related documentation.
 *
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS,
 * IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
 * MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT SHALL THE ARTIFICIAL INTELLIGENCE APPLICATIONS INSTITUTE OR THE
 * UNIVERSITY OF EDINBURGH BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF
 * DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH
 * THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef wx_txth
#define wx_txth

#include "wb_txt.h"
#include "wx_privt.h"

// Single-line text item
class wxText: public wxbText
{
 public:
  CursWnd *static_label;
  TextString text_str;
  int view_x, cur_x;
  Bool insert;
  Bool changed;

  wxText(void);
  wxText(wxPanel *panel, wxFunction func, char *label, char *value = "",
	 int x = -1, int y = -1, int width = -1, int height = -1, Bool create = TRUE);
  Bool Create(wxPanel *panel, wxFunction func, char *label, char *value = "",
         int x = -1, int y = -1, int width = -1, int height = -1);
  ~wxText(void);

  virtual char *GetValue(void);
  virtual void SetValue(char *value);

  virtual void GetPosition(int *x, int *y);
  virtual void GetSize(int *width, int *height);

  virtual void OnPaint(void);
  virtual void OnSetFocus(void);
  virtual void OnKillFocus(void);
  virtual void HandleScrollLeft(int how);	// home or left
  virtual void HandleScrollRight(int how);	// end or right
  virtual void HandleChar(int c);
  virtual void HandleDelete(int how);		// backspace or del
  virtual Bool ProcessEvent(wxEvent *event);
};

#endif // wx_txth
