/*
 * File:     wx_event.cc
 * Purpose:  wxEvent class definition
 *
 *                       wxWindows 1.40
 * Copyright (c) 1993 Artificial Intelligence Applications Institute,
 *                   The University of Edinburgh
 *
 *                     Author: Julian Smart
 *                       Date: 18-3-93
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice, author statement and this permission
 * notice appear in all copies of this software and related documentation.
 *
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS,
 * IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
 * MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT SHALL THE ARTIFICIAL INTELLIGENCE APPLICATIONS INSTITUTE OR THE
 * UNIVERSITY OF EDINBURGH BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF
 * DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH
 * THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#include <iostream.h>
#include "wx_event.h"

wxbEvent::wxbEvent()
{
}

Bool wxbEvent::ControlDown(void)
{
  return FALSE;
}

Bool wxbEvent::ShiftDown(void)
{
  return FALSE;
}

// Is a button event (*doesn't* mean: is any button *down*?)
Bool wxbEvent::IsButton(void)
{
  return FALSE;
}

// Any button is down
Bool wxbEvent::ButtonDown(void)
{
  return (Button(1) || Button(2) || Button(3));
}

// True if button down (1 = left, 2 = middle, 3 = right)
Bool wxbEvent::Button(int but)
{
  return FALSE;
}

Bool wxbEvent::LeftDown(void)
{
  return FALSE;
}

Bool wxbEvent::MiddleDown(void)
{
  return FALSE;
}

Bool wxbEvent::RightDown(void)
{
  return FALSE;
}

Bool wxbEvent::LeftUp(void)
{
  return FALSE;
}

Bool wxbEvent::MiddleUp(void)
{
  return FALSE;
}

Bool wxbEvent::RightUp(void)
{
  return FALSE;
}

Bool wxbEvent::Dragging(void)
{
  return FALSE;
}

void wxbEvent::Position(float *xpos, float *ypos)
{
}

int wxbEvent::Index(void)
{
  return index;
}

char *wxbEvent::String(void)
{
  return string;
}

