/*
 * File:     wb_win.cc
 * Purpose:  wxWindow class implementation
 *
 *                       wxWindows 1.40
 * Copyright (c) 1993 Artificial Intelligence Applications Institute,
 *                   The University of Edinburgh
 *
 *                     Author: Julian Smart
 *                       Date: 18-4-93
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice, author statement and this permission
 * notice appear in all copies of this software and related documentation.
 *
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS,
 * IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
 * MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT SHALL THE ARTIFICIAL INTELLIGENCE APPLICATIONS INSTITUTE OR THE
 * UNIVERSITY OF EDINBURGH BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF
 * DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH
 * THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifdef wx_msw
#include "wx.h"
#pragma hdrstop
#else
#include "common.h"
#include "wx_win.h"
#include "wx_main.h"
#include "wx_utils.h"
#include "wx_gdi.h"
#endif


wxList wxTopLevelWindows;

// Constructor
wxbWindow::wxbWindow(void)
{
  __type = wxTYPE_WINDOW;
  wx_client_data = NULL;
  window_parent = NULL;
  font = NULL;
  callback = 0;
  wx_cursor = wxSTANDARD_CURSOR;
  children = new wxList;
  paintingEnabled = TRUE;
}

// Destructor
wxbWindow::~wxbWindow(void)
{
}

void wxbWindow::OnPaint(void)
{
}

void wxbWindow::OnSize(int width, int height)
{
}

void wxbWindow::OnEvent(wxMouseEvent& event)
{
}

void wxbWindow::OnChar(wxKeyEvent& event)
{
}

Bool wxbWindow::OnClose(void)
{
  return TRUE;
}

void wxbWindow::OnActivate(Bool active)
{
}

void wxbWindow::OnDropFiles(int n, char *files[], int x, int y)
{
}

// Get total size
void wxbWindow::GetSize(int *x, int *y)
{
}

void wxbWindow::GetPosition(int *x, int *y)
{
}

wxCursor *wxbWindow::SetCursor(wxCursor *cursor)
{
  return NULL;
}

void wxbWindow::SetColourMap(wxColourMap *cmap)
{
}

// Get size *available for subwindows* i.e. excluding menu bar etc.
// For XView, this is the same as GetSize
void wxbWindow::GetClientSize(int *x, int *y)
{
}

void wxbWindow::SetSize(int x, int y, int width, int height)
{
}

void wxbWindow::SetClientSize(int width, int height)
{
}

// General callback setting
void wxbWindow::Callback(wxFunction Function)
{
  if (Function)
    callback = Function;
}

// Client data handling (any window, item etc.)
void wxbWindow::SetClientData(char *data)
{
  wx_client_data = data;
}

char *wxbWindow::GetClientData(void)
{
  return wx_client_data;
}

void wxbWindow::Show(Bool show)
{
}

wxWindow *wxbWindow::GetParent(void)
{
  return window_parent;
}

wxWindow *wxbWindow::GetGrandParent(void)
{
  if (window_parent)
    return window_parent->window_parent;
  else return NULL;
}

void wxbWindow::AddChild(wxObject *child)
{
  children->Append(child);
}

void wxbWindow::RemoveChild(wxObject *child)
{
  if (children)
    children->DeleteObject(child);
}

void wxbWindow::DestroyChildren(void)
{
  if (children)
  {
    wxNode *node = children->First();
    while (node)
    {
      wxWindow *child = (wxWindow *)node->Data();
      delete child;
      node = children->First();
    }
  }
}

// Default menu command handler
void wxbWindow::OnMenuCommand(int Id)
{
}

// Default handler for OnMenuSelect
void wxbWindow::OnMenuSelect(int Id)
{
}

void wxbWindow::SetTitle(char *title)
{
}

float wxbWindow::GetCharHeight(void)
{
  return 0.0;
}

float wxbWindow::GetCharWidth(void)
{
  return 0.0;
}

void wxbWindow::GetTextExtent(char *string, float *x, float *y,
                              float *descent, float *externalLeading)
{
}

// Fit window to contents
void wxbWindow::Fit(void)
{
}

// Centre on panel/screen
void wxbWindow::Centre(int direction)
{ int parent_width, parent_height, width, height, x, y;

  if(window_parent)
	window_parent->GetClientSize(&parent_width, &parent_height);
  else wxDisplaySize(&parent_width, &parent_height);

  GetSize(&width, &height);
  GetPosition(&x, &y);

  if (direction == wxBOTH || direction == wxHORIZONTAL)
    x = (int)((parent_width - width)/2);
  if (direction == wxBOTH || direction == wxVERTICAL)
    y = (int)((parent_height - height)/2);

  SetSize(x, y, width, height);

}

