/*
 * File:     wx_gdi.cc
 * Purpose:  GDI (Graphics Device Interface) objects and functions
 *
 *                       wxWindows 1.40
 * Copyright (c) 1993 Artificial Intelligence Applications Institute,
 *                   The University of Edinburgh
 *
 *                     Author: Julian Smart
 *                       Date: 18-4-93
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice, author statement and this permission
 * notice appear in all copies of this software and related documentation.
 *
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS,
 * IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
 * MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT SHALL THE ARTIFICIAL INTELLIGENCE APPLICATIONS INSTITUTE OR THE
 * UNIVERSITY OF EDINBURGH BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF
 * DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH
 * THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#include "common.h"
#include "wx_list.h"
#include "wx_utils.h"
#include "wx_main.h"
#include "wx_gdi.h"
#include "curswin.h"

wxFont::wxFont(void)
{
  curs_attribs = A_NORMAL;
}


wxFont::wxFont(int PointSize, int Family, int Style, int Weight):
  wxbFont(PointSize, Family, Style, Weight)
{
  curs_attribs = A_NORMAL;
}

wxFont::~wxFont()
{
}

/*
 * Colour map
 *
 */

wxColourMap::wxColourMap(void)
{
}

wxColourMap::~wxColourMap(void)
{
}

// Pens

wxPen::wxPen(void)
{
}

wxPen::~wxPen()
{
}

wxPen::wxPen(wxColour& col, int Width, int Style)
{
}

wxPen::wxPen(char *col, int Width, int Style)
{
}

void wxPen::SetColour(wxColour& col)
{
}

void wxPen::SetColour(char *col)
{
}

void wxPen::SetColour(char red, char green, char blue)
{
}

void wxPen::SetWidth(int Width)
{
}

void wxPen::SetStyle(int Style)
{
}

// Brushes
wxBrush::wxBrush(void)
{
}

wxBrush::~wxBrush()
{
}

wxBrush::wxBrush(wxColour& col, int Style)
{
}

wxBrush::wxBrush(char *col, int Style)
{
}

void wxBrush::SetColour(wxColour& col)
{
}

void wxBrush::SetColour(char *col)
{
}

void wxBrush::SetColour(char red, char green, char blue)
{
}

void wxBrush::SetStyle(int Style)
{
}

// Icons
wxIcon::wxIcon(char bits[], int width, int height):
  wxbIcon(bits, width, height)
{
}

wxIcon::wxIcon(char *icon_file):
  wxbIcon(icon_file)
{
}

wxIcon::~wxIcon(void)
{
}

// Cursors
wxCursor::wxCursor(char bits[], int width, int height):
  wxbCursor(bits, width, height)
{
}

wxCursor::wxCursor(char *cursor_file):
  wxbCursor(cursor_file)
{
}

// Cursors by stock number
wxCursor::wxCursor(int cursor_type):
  wxbCursor(cursor_type)
{
}

wxCursor::~wxCursor(void)
{
}

// Global cursor setting
void wxSetCursor(wxCursor *cursor)
{
}

// Misc. functions

// Return TRUE if we have a colour display
Bool wxColourDisplay(void)
{
  return FALSE;
}

// Get size of display
void wxDisplaySize(int *width, int *height)
{ wxRect drect = TheScreen->GetWinRect();
 
  *width = drect.W;
  *height = drect.H;
}

wxBitmap::wxBitmap(char bits[], int the_width, int the_height, int no_bits):
  wxbBitmap(bits, the_width, the_height, no_bits)
{
}

wxBitmap::wxBitmap(char *bitmap_file):
  wxbBitmap(bitmap_file)
{
}

wxBitmap::~wxBitmap(void)
{
}
