#include "wx_temu.h"
#include "wx_termw.h"
#include "curswin.h"

void wxTermEmu::Initialize(wxTermBuf *buf, wxTermWindow *win, wxTermBuf *out)
{ int cw, ch;
  CursWnd *cwin = win->handle;
  WINDOW *w = cwin->Handle;

  win->GetClientSize(&cw, &ch);
  cwin->SetCursor(CUR_NORM);
  cwin->GotoXY(0, ch - 1);

  idlok(w, TRUE);
  scrollok(w, TRUE);
}

void wxTermEmu::Reset(wxTermBuf *in, wxTermWindow *win, wxTermBuf *out)
{
  in->Reset();
  win->handle->Clear();
  win->Refresh();
}

void wxTermEmu::ResetSize(void)
{
}

void wxTermEmu::ParseProcessOutput(wxTermBuf *in, wxTermWindow *win, wxTermBuf *out)
{ int curx, cury, maxx, maxy;
  char c;

  CursWnd *handle = win->handle;
  handle->GetXY(&curx, &cury);
  win->GetClientSize(&maxx, &maxy);
  maxx--; maxy--;

  while(in->Get(&c))
  { switch(c)
        {
	  case '\0':	/* null */
			break;
          case '\r':    /* Carrige return */
                        curx = 0;
                        handle->GotoXY(curx, cury);
                        break;
          case '\n':    /* Newline */
                        if(cury == maxy)
                                handle->Scroll(1);
                        else cury++;
                        handle->GotoXY(curx, cury);
                        break;
          case '\b':    /* Backspace */
                        handle->GotoXY(--curx, cury);
                        break;
          case '\007':  /* Bell */
                        beep();
                        break;
	  case '\177':	/* Del */
			curx--;
			handle->GotoXY(curx, cury);
			wdelch(handle->Handle);
			break;
          default:      handle->Print(c);
                        break;
        }
  };

  win->Refresh();
}

void wxTermEmu::ParseProcessInput(int curskey, wxTermBuf *out)
{
  switch(curskey)
  {
    case KEY_UP:
    case KEY_DOWN:
    case KEY_RIGHT:
    case KEY_LEFT:	break;
    case KEY_DC:
    case KEY_BACKSPACE:
                        out->Put(CNTRL('H'));
                        break;
    default:		if(!out->Put((char) curskey))
				beep();
               		break;
  };
}

